{ config, pkgs, lib, ... }:
{
  # TODO.
  # As of 01.01.2024, the Electron version of Obsidian does not find some GL libraries.
  # Temporary workaround (https://github.com/NixOS/nixpkgs/issues/268490#issuecomment-1817991394):
  #   export LD_LIBRARY_PATH=$(nix --extra-experimental-features nix-command --extra-experimental-features flakes build --print-out-paths --no-link nixpkgs#libGL)/lib
  #   obsidian

  # TODO: if on wayland and scaling != 1, start obsidian with the following command.
  # Sharp fonts.
  #   obsidian --enable-features=UseOzonePlatform --ozone-platform=x11

  # This `config` is only for "stable" `nixpkgs`, not for "unstable".
  # See nur-and-unstable.nix for how to configure "unstable" `nixpkgs`.
#  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
#    "obsidian"
#  ];

  # TODO go back to stable nixpkgs.
  # - As of 2024-01-01, obsidian did not start on Wayland
  # - As of 2024-02-03, obsidian is using an insecure Electron version.
  users.users.yoda = {
    packages = with pkgs; [
      unstable.obsidian # Markdown notes
    ];
  };

  programs.dconf.enable = true;
  home-manager.users.yoda = { osConfig, config, pkgs, lib, ... }: {
    dconf.settings = {
      "org/gnome/shell" = {
        favorite-apps = ["obsidian.desktop"];
      };
    };
  };
}
